- Qt 5.15
- Qt 3D
- C++ Classes
- QAnimationGroup
- Qt 5.15.19 Reference Documentation

# QAnimationGroup Class

class Qt3DAnimation::QAnimationGroup

A class grouping animations together. More...

Header: | #include <QAnimationGroup>
qmake: | QT += 3danimation
Since: | Qt 5.9
Inherits: | QObject

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Properties

- duration : const float
- name : QString
- position : float

## Public Functions

| QAnimationGroup(QObject *parent = nullptr)
void | addAnimation(Qt3DAnimation::QAbstractAnimation *animation)
QVector<Qt3DAnimation::QAbstractAnimation *> | animationList()
float | duration() const
QString | name() const
float | position() const
void | removeAnimation(Qt3DAnimation::QAbstractAnimation *animation)
void | setAnimations(const QVector<Qt3DAnimation::QAbstractAnimation *> &animations)

## Public Slots

void | setName(const QString &name)
void | setPosition(float position)

## Signals

void | durationChanged(float duration)
void | nameChanged(const QString &name)
void | positionChanged(float position)

## Detailed Description

Qt3DAnimation::QAnimationGroup class is used to group multiple animations so that they can act as one animation. The position set to the group is also set to all animations in a group. The duration is the maximum of the individual animations. The animations can be any supported animation type and do not have to have the same name.

## Property Documentation

### duration : const float

Holds the maximum duration of the animations in the group.

Access functions:

float | duration() const

Notifier signal:

void | durationChanged(float duration)

### name : QString

Holds the name of the animation group.

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

### position : float

Holds the animation position.

Access functions:

float | position() const
void | setPosition(float position)

Notifier signal:

void | positionChanged(float position)

## Member Function Documentation

### QAnimationGroup::QAnimationGroup(QObject *parent = nullptr)

Constructs an QAnimationGroup with parent.

### void QAnimationGroup::addAnimation(Qt3DAnimation::QAbstractAnimation *animation)

Adds new animation to the group.

### QVector<Qt3DAnimation::QAbstractAnimation *> QAnimationGroup::animationList()

Returns the list of animations in the group.

### void QAnimationGroup::removeAnimation(Qt3DAnimation::QAbstractAnimation *animation)

Removes animation from the group.

### void QAnimationGroup::setAnimations(const QVector<Qt3DAnimation::QAbstractAnimation *> &animations)

Sets the animations to the group. Old animations are removed.